<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/Auxiliary/getWeights.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_d544197a650feee977d1b0e201b59710.html">Auxiliary</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">getWeights.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d0/db3/get_weights_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="../../d0/db3/get_weights_8m.html#ab476a4a5a65f378351984e84636f7729">    1</a></span>&#160;<span class="keyword">function</span> weights=<a class="code" href="../../d0/db3/get_weights_8m.html#ab476a4a5a65f378351984e84636f7729">getWeights_default</a>(data,varargin)</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;    % Define smoothing parameter</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;    time=unique(data.Time);</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;    nobs=max(data.YID);</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;    weights=zeros(length(time),nobs);</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    % Construct splines (<span class="keywordflow">for</span> all data) and find error values, after making sure</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="keywordflow">for</span> obs_idx=1:nobs</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        % Get data</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        ydata_response=data.Y(data.YID==obs_idx);</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        % Fit splines</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        avail = ~isnan(ydata_response);</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        [f,g] = fit(time(avail),ydata_response(avail),<span class="stringliteral">&#39;smoothingspline&#39;</span>);</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        splines_cell = feval(f,time);</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        splines_cell(~avail)=NaN;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        weights(:,obs_idx)=splines_cell;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    end</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_weights_8m_html_ab476a4a5a65f378351984e84636f7729"><div class="ttname"><a href="../../d0/db3/get_weights_8m.html#ab476a4a5a65f378351984e84636f7729">getWeights_default</a></div><div class="ttdeci">function getWeights_default(in data, in varargin)</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
